Skip to main content

Get Conversation Tracker

Retrieves a specific conversation tracker by its ID.

Endpoint

GET /api/conversation-trackers/{platform}/{id}

Path Parameters

ParameterTypeDescription
platformstringThe platform of the tracker (reddit or hn)
idstringThe unique identifier of the tracker

Response

Returns a JSON object containing the tracker details.

Example Request

curl -X GET "https://api.kwatch.io/api/conversation-trackers/reddit/1" \
-H "Authorization: Bearer your-api-key-here"

Example Response

{
"id": 1,
"enabled": true,
"created_at": "2026-02-23T12:13:28.081057+01:00",
"updated_at": "2026-02-23T12:13:28.081057+01:00",
"url": "https://www.reddit.com/r/technology/comments/abc123/some_post/comment/xyz789/",
"api_webhook_url": "https://example.com/webhook",
"slack_webhook_url": "https://hooks.slack.com/..."
}